<!--
  -   Copyright 2014-2023 IHE International
  -
  -    Licensed under the Apache License, Version 2.0 (the "License");
  -    you may not use this file except in compliance with the License.
  -    You may obtain a copy of the License at
  -
  -        http://www.apache.org/licenses/LICENSE-2.0
  -
  -    Unless required by applicable law or agreed to in writing, software
  -    distributed under the License is distributed on an "AS IS" BASIS,
  -    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  -    See the License for the specific language governing permissions and
  -    limitations under the License.
  -->

<ui:composition xmlns:rich="http://richfaces.org/rich" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:h="http://java.sun.com/jsf/html"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:g="http://www.ihe.net/gazelle"
                xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns="http://www.w3.org/1999/xhtml">
    <ui:decorate template="../template/elementsTable.xhtml">
        <tr class="rf-dt-r rf-dt-fst-r">
            <th class="rf-dt-hdr-c" rowspan="9">
                <h:outputText value="#{activeParticipant.name}"/>
                <em style="font-weight:normal;">#{messages['net.ihe.gazelle.audit.message.ActiveParticipant']}</em>
            </th>
            <td class="rf-dt-c">
                <h:outputText value="#{messages['net.ihe.gazelle.audit.message.Distinguisher']}"/>
            </td>
            <td class="rf-dt-c" colspan="3">
                <h:outputText value="#{activeParticipant.distinguisher}"/>
            </td>
        </tr>
        <ui:include src="../template/elementDescription.xhtml">
            <ui:param name="nameElement" value="#{messages['net.ihe.gazelle.audit.message.UserID']}"/>
            <ui:param name="elementDescription" value="#{activeParticipant.userID}"/>
        </ui:include>
        <ui:include src="../template/elementDescription.xhtml">
            <ui:param name="nameElement" value="#{messages['net.ihe.gazelle.audit.message.AlternativeUserID']}"/>
            <ui:param name="elementDescription" value="#{activeParticipant.alternativeUserID}"/>
        </ui:include>
        <ui:include src="../template/elementDescription.xhtml">
            <ui:param name="nameElement" value="#{messages['net.ihe.gazelle.audit.message.UserName']}"/>
            <ui:param name="elementDescription" value="#{activeParticipant.userName}"/>
        </ui:include>
        <ui:include src="../template/elementDescription.xhtml">
            <ui:param name="nameElement" value="#{messages['net.ihe.gazelle.audit.message.UserIsRequestor']}"/>
            <ui:param name="elementDescription" value="#{activeParticipant.userIsRequestor}"/>
        </ui:include>
        <ui:include src="../template/elementDescription.xhtml">
            <ui:param name="nameElement" value="#{messages['net.ihe.gazelle.audit.message.RoleIDCode']}"/>
            <ui:param name="elementDescription" value="#{activeParticipant.roleIDCode}"/>
        </ui:include>
        <ui:include src="../template/elementDescription.xhtml">
            <ui:param name="nameElement" value="#{messages['net.ihe.gazelle.audit.message.NetworkAccessPointTypeCode']}"/>
            <ui:param name="elementDescription" value="#{activeParticipant.networkAccessPointTypeCode}"/>
        </ui:include>
        <ui:include src="../template/elementDescription.xhtml">
            <ui:param name="nameElement" value="#{messages['net.ihe.gazelle.audit.message.NetworkAccessPointID']}"/>
            <ui:param name="elementDescription" value="#{activeParticipant.networkAccessPointID}"/>
        </ui:include>
        <ui:include src="../template/elementDescription.xhtml">
            <ui:param name="nameElement" value="#{messages['net.ihe.gazelle.audit.message.MediaIdentifier']}"/>
            <ui:param name="elementDescription" value="#{activeParticipant.mediaIdentifier}"/>
        </ui:include>
    </ui:decorate>
</ui:composition>
